| Flutter macOS Embedder |

Instance Methods | Properties | List of all members
FlutterView Class Reference

`#import <FlutterView.h>`

Inheritance diagram for FlutterView:

## Instance Methods
(nullable instancetype) | - initWithMTLDevice:commandQueue:delegate:viewIdentifier:enableWideGamut:
(nullable instancetype) | - initWithFrame:pixelFormat:
(nonnull instancetype) | - initWithFrame:
(nullable instancetype) | - initWithCoder:
(nonnull instancetype) | - NS_UNAVAILABLE
(void) | - setBackgroundColor:
(void) | - didUpdateMouseCursor:
(void) | - shutDown
(void) | - constraintsDidChange

## Properties
FlutterSurfaceManager * | surfaceManager
id< FlutterViewSizingDelegate > | sizingDelegate
BOOL | sizedToContents
CGSize | minimumContentSize
CGSize | maximumContentSize

## Detailed Description

View capable of acting as a rendering target and input source for the Flutter engine.

Definition at line 68 of file FlutterView.h.

## Method Documentation

## ◆ constraintsDidChange

- (void) constraintsDidChange |  |  |

Informs the view that layout constraints have changed. The view should send reconfigure event to the engine so that new content matches the constraints.

Definition at line 18 of file FlutterView.mm.

200 {
201 [_viewDelegate viewDidReshape:self];
202 }

## ◆ didUpdateMouseCursor:

- (void) didUpdateMouseCursor: |  | (nonnull NSCursor *) | cursor |

Called from the engine to notify the view that mouse cursor was updated while the mouse is over the view. The view is responsible from restoring the cursor when the mouse enters the view from another subview.

Referenced by TEST().

## ◆ initWithCoder:

- (nullable instancetype) initWithCoder: |  | (nonnull NSCoder *) | NS_UNAVAILABLE |

## ◆ initWithFrame:

- (nonnull instancetype) initWithFrame: |  | (NSRect) | NS_UNAVAILABLE |

## ◆ initWithFrame:pixelFormat:

- (nullable instancetype) initWithFrame: |  | (NSRect) | frameRect
pixelFormat: |  | (nullable NSOpenGLPixelFormat *) | NS_UNAVAILABLE

## ◆ initWithMTLDevice:commandQueue:delegate:viewIdentifier:enableWideGamut:

- (nullable instancetype) initWithMTLDevice: |  | (nonnull id< MTLDevice >) | device
commandQueue: |  | (nonnull id< MTLCommandQueue >) | commandQueue
delegate: |  | (nonnull id< FlutterViewDelegate >) | delegate
viewIdentifier: |  | (FlutterViewIdentifier) | viewIdentifier
enableWideGamut: |  | (BOOL) | NS_DESIGNATED_INITIALIZER

Initialize a FlutterView that will be rendered to using Metal rendering apis.

## ◆ NS_UNAVAILABLE

- (nonnull instancetype) NS_UNAVAILABLE |  |  |

## ◆ setBackgroundColor:

- (void) setBackgroundColor: |  | (nonnull NSColor *) | color |

By default, the `FlutterSurfaceManager` creates two layers to manage Flutter content, the content layer and containing layer. To set the native background color, onto which the Flutter content is drawn, call this method with the NSColor which you would like to override the default, black background color with.

## ◆ shutDown

- (void) shutDown |  |  |

Called from the controller to unblock resize synchronizer when shutting down.

Definition at line 18 of file FlutterView.mm.

66 {
67 [_resizeSynchronizer shutDown];
68 }

## Property Documentation

## ◆ maximumContentSize

- (NSSize) maximumContentSize
| read nonatomic assign

When sized to contents, this property returns the maximum content size. If not sized to contents, this property returns NSZeroSize.

Definition at line 133 of file FlutterView.h.

Referenced by flutter::testing::TEST_F().

## ◆ minimumContentSize

- (NSSize) minimumContentSize
| read nonatomic assign

When sized to contents, this property returns the minimum content size. If not sized to contents, this property returns NSZeroSize.

Definition at line 127 of file FlutterView.h.

## ◆ sizedToContents

- (BOOL) sizedToContents
| read nonatomic assign

Whether this view is sized to contents. If so, resize synchronization will be disabled.

Definition at line 121 of file FlutterView.h.

Referenced by flutter::testing::TEST_F().

## ◆ sizingDelegate

- (id<FlutterViewSizingDelegate>) sizingDelegate
| read write nonatomic weak

Optional sizing delegate. If set, the view can be sized to its content.

Definition at line 94 of file FlutterView.h.

Referenced by flutter::testing::TEST_F().

## ◆ surfaceManager

- (FlutterSurfaceManager *) surfaceManager
| read nonatomic assign

Returns SurfaceManager for this view. SurfaceManager is responsible for providing and presenting render surfaces.

Definition at line 89 of file FlutterView.h.

Referenced by flutter::FlutterCompositor::CreateBackingStore(), and flutter::FlutterCompositor::Present().

The documentation for this class was generated from the following files:

- shell/platform/darwin/macos/framework/Source/FlutterView.h
- shell/platform/darwin/macos/framework/Source/FlutterView.mm